sampleWeights {mRMRe} | R Documentation

## Accessor function for the 'sampleWeights' information in a mRMRe.Data object

### Description

TODO

### Usage

    ## S4 method for signature 'mRMRe.Data'
    sampleWeights(object)
    ## S4 replacement method for signature 'mRMRe.Data'
    sampleWeights(object) <- value

### Arguments

`object` | a `mRMRe.Data` object.
`value` | a numeric vector containing the biases of each sample in the mutual information computation.

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    set.thread.count(2)
    data(cgps)
    feature_data <- mRMR.data(data = data.frame(cgps.ge))

    # Uniform weight (default)
    sampleWeights(feature_data)

    # Random weighting
    sampleWeights(feature_data) <- runif(sampleCount(feature_data))
    # Show result
    sampleWeights(feature_data)

[Package mRMRe version 2.0.9 Index]